Bug 1101822 - cirrus.bpp=16 boot option leads to kernel Oops
cirrus.bpp=16 boot option leads to kernel Oops
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P4 - Low : Normal (vote)
: ---
Assigned To: Thomas Zimmermann
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-19 10:18 UTC by Takashi Iwai
Modified: 2019-08-28 09:20 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in clean-up (SLE15) (5.36 KB, patch)
2018-08-15 10:42 UTC, Thomas Zimmermann
Details | Diff
drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in clean-up (SLE12-SP3) (5.39 KB, patch)
2018-08-15 11:01 UTC, Thomas Zimmermann
Details | Diff
drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in clean-up (SLE12-SP3) (v2) (5.39 KB, patch)
2018-08-15 14:14 UTC, Thomas Zimmermann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Takashi Iwai 2018-07-19 10:18:13 UTC
When booting with cirrus.bpp=16 option, KVM with cirrus VGA leads to an Oops like below:

[    2.449554] [drm:cirrusfb_create [cirrus]] *ERROR* failed to create fbcon backing object -22
[    2.450731] [drm:cirrus_modeset_init [cirrus]] *ERROR* cirrus_fbdev_init failed
[    2.451729] cirrus 0000:00:02.0: Fatal error during modeset init: -22
[    2.453327] BUG: unable to handle kernel NULL pointer dereference at 0000000000000258
[    2.454452] IP: mutex_lock+0x10/0x20
[    2.454945] PGD 0 P4D 0 
[    2.455296] Oops: 0002 [#1] PREEMPT SMP PTI
[    2.455871] Modules linked in: cirrus(+) drm_kms_helper syscopyarea sysfillrect sysimgblt fb_sys_fops ttm serio_raw floppy drm virtio_scsi(+) button sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua
[    2.458380] CPU: 0 PID: 256 Comm: systemd-udevd Not tainted 4.16.12-2-default #1 openSUSE Tumbleweed (unreleased)
[    2.459759] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.0.0-prebuilt.qemu-project.org 04/01/2014
[    2.461152] RIP: 0010:mutex_lock+0x10/0x20
[    2.461716] RSP: 0018:ffffa944404c3aa0 EFLAGS: 00010246
[    2.462427] RAX: 0000000000000000 RBX: 0000000000000000 RCX: ffffd611c0d13cdf
[    2.463393] RDX: ffff9457b60b0100 RSI: ffff9457bdaf1528 RDI: 0000000000000258
[    2.464361] RBP: 0000000000000258 R08: 0000000000000000 R09: 000000000000002c
[    2.465326] R10: ffff9457bce5dda8 R11: 000000000000002d R12: ffff9457bdaf1528
[    2.466305] R13: ffffffffc042e120 R14: 0000000000000000 R15: ffff9457b56e4620
[    2.467004] FS:  00007ffae0f61940(0000) GS:ffff9457bfc00000(0000) knlGS:0000000000000000
[    2.467959] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[    2.468498] CR2: 0000000000000258 CR3: 000000003607a000 CR4: 00000000000006f0
[    2.469135] Call Trace:
[    2.469384]  drm_mode_object_unregister+0x1e/0x50 [drm]
[    2.469858]  cirrus_fbdev_fini+0x5a/0x80 [cirrus]
[    2.470275]  cirrus_modeset_fini+0xe/0x30 [cirrus]
[    2.470699]  cirrus_driver_unload+0x1b/0x40 [cirrus]
[    2.471136]  cirrus_driver_load+0x7f/0xf0 [cirrus]
[    2.471566]  drm_dev_register+0x132/0x1c0 [drm]
[    2.471974]  drm_get_pci_dev+0x93/0x170 [drm]
[    2.472362]  local_pci_probe+0x42/0xa0
[    2.472759]  ? pci_match_device+0xde/0x110
[    2.473122]  pci_device_probe+0x125/0x190
[    2.473479]  driver_probe_device+0x30b/0x480
[    2.473864]  __driver_attach+0xb8/0xe0
[    2.474193]  ? driver_probe_device+0x480/0x480
[    2.474582]  ? driver_probe_device+0x480/0x480
[    2.474971]  bus_for_each_dev+0x65/0x90
[    2.475308]  bus_add_driver+0x161/0x260
[    2.475644]  ? 0xffffffffc0431000
[    2.475938]  driver_register+0x57/0xc0
[    2.476270]  ? 0xffffffffc0431000
[    2.476565]  do_one_initcall+0x4e/0x192
[    2.476934]  ? __vunmap+0x6d/0xb0
[    2.477229]  do_init_module+0x5b/0x20a
[    2.477567]  load_module+0x19ad/0x1f30
[    2.477906]  ? SYSC_finit_module+0xb7/0xd0
[    2.478257]  SYSC_finit_module+0xb7/0xd0
[    2.478595]  do_syscall_64+0x76/0x140
[    2.478911]  entry_SYSCALL_64_after_hwframe+0x42/0xb7
[    2.479340] RIP: 0033:0x7ffadfd8c529
[    2.479648] RSP: 002b:00007ffcfde7c0b8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
[    2.480310] RAX: ffffffffffffffda RBX: 000055a10ac5e9d0 RCX: 00007ffadfd8c529
[    2.480935] RDX: 0000000000000000 RSI: 000055a10ac8afc0 RDI: 0000000000000014
[    2.481546] RBP: 000055a10ac8afc0 R08: 0000000000000000 R09: 000055a10ac748a0
[    2.482192] R10: 0000000000000014 R11: 0000000000000246 R12: 0000000000020000
[    2.482810] R13: 000055a10ac82960 R14: 0000000000000000 R15: 0000000000000000
[    2.483756] Code: 6d fc ff ff 0f 1f 80 00 00 00 00 0f 1f 44 00 00 be 02 00 00 00 e9 01 fb ff ff 90 0f 1f 44 00 00 65 48 8b 14 25 00 5c 01 00 31 c0 <f0> 48 0f b1 17 48 85 c0 75 02 f3 c3 eb d2 66 90 0f 1f 44 00 00 
[    2.485623] RIP: mutex_lock+0x10/0x20 RSP: ffffa944404c3aa0
[    2.486108] CR2: 0000000000000258
[    2.487158] ---[ end trace 79527e8c9ce260a5 ]---

The example is from a slightly old kernel, but the same happens with the latest 4.18.  Also it happens with SLE12-SP2/SP3 kernel as well, maybe older ones, too.
Comment 1 Thomas Zimmermann 2018-07-19 10:39:57 UTC
I will take a look at this. Just need a bit to set up qemu.
Comment 2 Takashi Iwai 2018-07-19 11:00:28 UTC
(In reply to Thomas Zimmermann from comment #1)
> I will take a look at this. Just need a bit to set up qemu.

Thanks!

FWIW, the culprit is about the unconditional call of drm_mode_object_register().
It's called from cirrus_fbdev_fini() -> cirrus_fbdev_destroy() -> drm_framebuffer_unregister_private() -> drm_mode_object_unregister().
Comment 3 Takashi Iwai 2018-07-19 11:01:07 UTC
A quick glance through the code, there are lots of memory leaks in the error path, too.  Oh well...
Comment 4 Stefan Dirsch 2018-07-19 12:43:34 UTC
Definitely low priority for this one or even WONTFIX ...
Comment 5 Thomas Zimmermann 2018-07-20 11:29:38 UTC
Upstream patch pending

https://lists.freedesktop.org/archives/dri-devel/2018-July/184055.html
Comment 7 Thomas Zimmermann 2018-08-10 07:11:20 UTC
On it's way into upstream: https://cgit.freedesktop.org/drm/drm-misc/commit/?id=abf7b30d7f61d981bfcca65d1e8331b27021b475
Comment 8 Thomas Zimmermann 2018-08-10 07:32:40 UTC
Takashi, I intend to port this patch to SLE15. Is it required anywhere else?
Comment 9 Takashi Iwai 2018-08-10 07:41:47 UTC
Maybe for SLE12-SP3 as well.
Comment 10 Thomas Zimmermann 2018-08-14 11:03:35 UTC
Hi Takashi, just a quick question about back-porting this patch.

The patch is not yet in mainline, so the Git-commit and Patch-mainline tags have no meaningful value. Is there any other tag I should include instead?
Comment 11 Takashi Iwai 2018-08-14 11:55:03 UTC
I guess it's already in subsystem maintainer tree, and it's usually persistent.
You can put that commit id together with other tags like:
  Git-commit: 12345678
  Patch-mainline: Queued in subsystem maintainer repository
  Git-repo: git://xxxx.yyy/zzz

This can be put into the subsystem tree section of the sorted patches section in series.conf, but it needs some treatment (adding the repo in your local tree, etc).  In doubt, just put into DRM/Video section, and move later into the sorted section once when it's merged to Linus tree.
Comment 12 Thomas Zimmermann 2018-08-14 13:01:50 UTC
Thanks!
Comment 13 Thomas Zimmermann 2018-08-15 10:42:21 UTC
Created attachment 779781 [details]
drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in clean-up (SLE15)
Comment 14 Thomas Zimmermann 2018-08-15 11:01:57 UTC
Created attachment 779783 [details]
drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in clean-up (SLE12-SP3)
Comment 15 Thomas Zimmermann 2018-08-15 14:14:54 UTC
Created attachment 779797 [details]
drm/cirrus: Use drm_framebuffer_put to avoid kernel oops in clean-up (SLE12-SP3) (v2)

Changes since v1:

 - fixed several build errors in cirrus_fbdev.c
Comment 18 Swamp Workflow Management 2018-08-20 13:16:05 UTC
SUSE-SU-2018:2450-1: An update that solves 12 vulnerabilities and has 88 fixes is now available.

Category: security (important)
Bug References: 1051510,1051979,1065600,1066110,1077761,1081917,1083647,1086274,1086288,1086314,1086315,1086317,1086327,1086331,1086906,1087081,1087092,1089343,1090888,1097104,1097577,1097808,1099811,1099813,1099844,1099845,1099846,1099849,1099858,1099863,1099864,1100132,1101116,1101331,1101669,1101822,1101828,1101832,1101833,1101837,1101839,1101841,1101843,1101844,1101845,1101847,1101852,1101853,1101867,1101872,1101874,1101875,1101882,1101883,1101885,1101887,1101890,1101891,1101893,1101895,1101896,1101900,1101902,1101903,1102633,1102658,1103097,1103269,1103277,1103356,1103363,1103421,1103445,1103517,1103723,1103724,1103725,1103726,1103727,1103728,1103729,1103730,1103886,1103917,1103920,1103948,1103949,1104066,1104111,1104174,1104211,1104319,1104353,1104365,1104427,1104494,1104495,1104708,1104777,1104897
CVE References: CVE-2018-10853,CVE-2018-10876,CVE-2018-10877,CVE-2018-10878,CVE-2018-10879,CVE-2018-10880,CVE-2018-10881,CVE-2018-10882,CVE-2018-10883,CVE-2018-3620,CVE-2018-3646,CVE-2018-5391
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15 (src):    kernel-azure-4.12.14-5.13.1, kernel-source-azure-4.12.14-5.13.1, kernel-syms-azure-4.12.14-5.13.1
Comment 21 Swamp Workflow Management 2018-08-28 16:14:34 UTC
SUSE-SU-2018:2538-1: An update that solves four vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 1046305,1046306,1046307,1051510,1065600,1081917,1083647,1086288,1086315,1086317,1086327,1086331,1086906,1087092,1090888,1097104,1097577,1097583,1097584,1097585,1097586,1097587,1097588,1097808,1100132,1101480,1101669,1101822,1102517,1102715,1103269,1103277,1103363,1103445,1103886,1104353,1104365,1104427,1104482,1104494,1104495,1104683,1104708,1104777,1104890,1104897,1105292,1105296,1105322,1105355,1105378,1105396,1105467,1105731,802154,971975
CVE References: CVE-2018-10853,CVE-2018-10902,CVE-2018-15572,CVE-2018-9363
Sources used:
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-25.16.1, kernel-livepatch-SLE15_Update_4-1-1.3.1
Comment 22 Swamp Workflow Management 2018-08-28 16:23:44 UTC
SUSE-SU-2018:2539-1: An update that solves four vulnerabilities and has 52 fixes is now available.

Category: security (important)
Bug References: 1046305,1046306,1046307,1051510,1065600,1081917,1083647,1086288,1086315,1086317,1086327,1086331,1086906,1087092,1090888,1097104,1097577,1097583,1097584,1097585,1097586,1097587,1097588,1097808,1100132,1101480,1101669,1101822,1102517,1102715,1103269,1103277,1103363,1103445,1103886,1104353,1104365,1104427,1104482,1104494,1104495,1104683,1104708,1104777,1104890,1104897,1105292,1105296,1105322,1105355,1105378,1105396,1105467,1105731,802154,971975
CVE References: CVE-2018-10853,CVE-2018-10902,CVE-2018-15572,CVE-2018-9363
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    kernel-default-4.12.14-25.16.1
SUSE Linux Enterprise Module for Legacy Software 15 (src):    kernel-default-4.12.14-25.16.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    kernel-docs-4.12.14-25.16.1, kernel-obs-build-4.12.14-25.16.1, kernel-source-4.12.14-25.16.1, kernel-syms-4.12.14-25.16.1, kernel-vanilla-4.12.14-25.16.1, lttng-modules-2.10.0-5.6.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    kernel-default-4.12.14-25.16.1, kernel-source-4.12.14-25.16.1, kernel-zfcpdump-4.12.14-25.16.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-25.16.1
Comment 23 Swamp Workflow Management 2018-09-03 19:18:18 UTC
SUSE-SU-2018:2596-1: An update that solves 15 vulnerabilities and has 58 fixes is now available.

Category: security (important)
Bug References: 1012382,1064232,1065364,1068032,1076110,1082653,1082979,1085042,1085536,1086457,1087081,1089343,1090123,1090435,1091171,1091860,1092001,1094244,1095643,1096254,1096978,1097771,1098253,1098599,1099792,1099811,1099813,1099844,1099845,1099846,1099849,1099858,1099863,1099864,1100132,1100843,1100930,1101296,1101331,1101658,1101789,1101822,1101841,1102188,1102197,1102203,1102205,1102207,1102211,1102214,1102215,1102340,1102394,1102683,1102715,1102797,1102851,1103097,1103119,1103269,1103445,1103580,1103717,1103745,1103884,1104174,1104319,1104365,1104494,1104495,1104897,1105292,970506
CVE References: CVE-2017-18344,CVE-2018-10876,CVE-2018-10877,CVE-2018-10878,CVE-2018-10879,CVE-2018-10880,CVE-2018-10881,CVE-2018-10882,CVE-2018-10883,CVE-2018-14734,CVE-2018-3620,CVE-2018-3646,CVE-2018-5390,CVE-2018-5391,CVE-2018-9363
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP3 (src):    kernel-rt-4.4.147-3.20.1, kernel-rt_debug-4.4.147-3.20.1, kernel-source-rt-4.4.147-3.20.1, kernel-syms-rt-4.4.147-3.20.1
Comment 25 Swamp Workflow Management 2018-09-11 15:35:35 UTC
This is an autogenerated message for OBS integration:
This bug (1101822) was mentioned in
https://build.opensuse.org/request/show/635004 42.3 / kernel-source
Comment 27 Swamp Workflow Management 2018-09-16 13:21:30 UTC
openSUSE-SU-2018:2738-1: An update that solves 14 vulnerabilities and has 93 fixes is now available.

Category: security (important)
Bug References: 1012382,1015342,1015343,1017967,1019695,1019699,1020412,1021121,1022604,1024361,1024365,1024376,1027968,1030552,1031492,1033962,1042286,1048317,1050431,1053685,1055014,1056596,1062604,1063646,1064232,1065364,1066223,1068032,1068075,1069138,1078921,1080157,1083663,1085042,1085536,1085539,1087092,1089066,1090888,1091171,1091860,1092903,1096254,1096748,1097105,1098253,1098822,1099597,1099810,1099832,1099922,1099999,1100000,1100001,1100132,1101822,1102346,1102486,1102517,1102715,1102797,1104485,1104683,1104897,1105271,1105292,1105296,1105322,1105323,1105392,1105396,1105524,1105536,1105769,1106016,1106105,1106185,1106191,1106229,1106271,1106275,1106276,1106278,1106281,1106283,1106369,1106509,1106511,1106697,1106929,1106934,1106995,1107060,1107078,1107319,1107320,1107689,1107735,1107937,1107966,963575,966170,966172,969470,969476,969477,970506
CVE References: CVE-2018-10902,CVE-2018-10938,CVE-2018-10940,CVE-2018-1128,CVE-2018-1129,CVE-2018-12896,CVE-2018-13093,CVE-2018-13094,CVE-2018-13095,CVE-2018-15572,CVE-2018-16658,CVE-2018-6554,CVE-2018-6555,CVE-2018-9363
Sources used:
openSUSE Leap 42.3 (src):    kernel-debug-4.4.155-68.1, kernel-default-4.4.155-68.1, kernel-docs-4.4.155-68.1, kernel-obs-build-4.4.155-68.1, kernel-obs-qa-4.4.155-68.1, kernel-source-4.4.155-68.1, kernel-syms-4.4.155-68.1, kernel-vanilla-4.4.155-68.1
Comment 28 Swamp Workflow Management 2018-09-20 22:21:26 UTC
SUSE-SU-2018:2775-1: An update that solves 21 vulnerabilities and has 98 fixes is now available.

Category: security (important)
Bug References: 1012382,1015342,1015343,1017967,1019695,1019699,1020412,1021121,1022604,1024361,1024365,1024376,1027968,1030552,1031492,1033962,1042286,1048317,1050431,1053685,1055014,1056596,1062604,1063646,1064232,1065364,1066223,1068032,1068075,1069138,1078921,1080157,1083663,1085042,1085536,1085539,1086457,1087092,1089066,1090888,1091171,1091860,1096254,1096748,1097105,1098253,1098822,1099597,1099810,1099811,1099813,1099832,1099844,1099845,1099846,1099849,1099863,1099864,1099922,1099999,1100000,1100001,1100132,1101822,1101841,1102346,1102486,1102517,1102715,1102797,1103269,1103445,1103717,1104319,1104485,1104494,1104495,1104683,1104897,1105271,1105292,1105322,1105323,1105392,1105396,1105524,1105536,1105769,1106016,1106105,1106185,1106229,1106271,1106275,1106276,1106278,1106281,1106283,1106369,1106509,1106511,1106697,1106929,1106934,1106995,1107060,1107078,1107319,1107320,1107689,1107735,1107966,963575,966170,966172,969470,969476,969477,970506
CVE References: CVE-2018-10876,CVE-2018-10877,CVE-2018-10878,CVE-2018-10879,CVE-2018-10880,CVE-2018-10881,CVE-2018-10882,CVE-2018-10883,CVE-2018-10902,CVE-2018-10938,CVE-2018-1128,CVE-2018-1129,CVE-2018-12896,CVE-2018-13093,CVE-2018-13094,CVE-2018-13095,CVE-2018-15572,CVE-2018-16658,CVE-2018-6554,CVE-2018-6555,CVE-2018-9363
Sources used:
SUSE Linux Enterprise Live Patching 12-SP3 (src):    kgraft-patch-SLE12-SP3_Update_17-1-4.3.1
Comment 29 Swamp Workflow Management 2018-09-20 22:40:59 UTC
SUSE-SU-2018:2776-1: An update that solves 21 vulnerabilities and has 98 fixes is now available.

Category: security (important)
Bug References: 1012382,1015342,1015343,1017967,1019695,1019699,1020412,1021121,1022604,1024361,1024365,1024376,1027968,1030552,1031492,1033962,1042286,1048317,1050431,1053685,1055014,1056596,1062604,1063646,1064232,1065364,1066223,1068032,1068075,1069138,1078921,1080157,1083663,1085042,1085536,1085539,1086457,1087092,1089066,1090888,1091171,1091860,1096254,1096748,1097105,1098253,1098822,1099597,1099810,1099811,1099813,1099832,1099844,1099845,1099846,1099849,1099863,1099864,1099922,1099999,1100000,1100001,1100132,1101822,1101841,1102346,1102486,1102517,1102715,1102797,1103269,1103445,1103717,1104319,1104485,1104494,1104495,1104683,1104897,1105271,1105292,1105322,1105323,1105392,1105396,1105524,1105536,1105769,1106016,1106105,1106185,1106229,1106271,1106275,1106276,1106278,1106281,1106283,1106369,1106509,1106511,1106697,1106929,1106934,1106995,1107060,1107078,1107319,1107320,1107689,1107735,1107966,963575,966170,966172,969470,969476,969477,970506
CVE References: CVE-2018-10876,CVE-2018-10877,CVE-2018-10878,CVE-2018-10879,CVE-2018-10880,CVE-2018-10881,CVE-2018-10882,CVE-2018-10883,CVE-2018-10902,CVE-2018-10938,CVE-2018-1128,CVE-2018-1129,CVE-2018-12896,CVE-2018-13093,CVE-2018-13094,CVE-2018-13095,CVE-2018-15572,CVE-2018-16658,CVE-2018-6554,CVE-2018-6555,CVE-2018-9363
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    kernel-default-4.4.155-94.50.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-4.4.155-94.50.1, kernel-obs-build-4.4.155-94.50.1
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-default-4.4.155-94.50.1, kernel-source-4.4.155-94.50.1, kernel-syms-4.4.155-94.50.1
SUSE Linux Enterprise High Availability 12-SP3 (src):    kernel-default-4.4.155-94.50.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    kernel-default-4.4.155-94.50.1, kernel-source-4.4.155-94.50.1, kernel-syms-4.4.155-94.50.1
SUSE CaaS Platform ALL (src):    kernel-default-4.4.155-94.50.1
SUSE CaaS Platform 3.0 (src):    kernel-default-4.4.155-94.50.1
Comment 30 Swamp Workflow Management 2018-09-25 16:22:42 UTC
SUSE-SU-2018:2858-1: An update that solves 22 vulnerabilities and has 96 fixes is now available.

Category: security (important)
Bug References: 1012382,1015342,1015343,1017967,1019695,1019699,1020412,1021121,1022604,1024361,1024365,1024376,1027968,1030552,1033962,1042286,1048317,1050431,1053685,1055014,1056596,1062604,1063646,1064232,1065364,1066223,1068032,1068075,1069138,1078921,1080157,1083663,1085042,1085536,1085539,1086457,1087092,1089066,1090888,1091171,1091860,1092903,1096254,1096748,1097105,1098253,1098822,1099597,1099810,1099811,1099813,1099832,1099844,1099845,1099846,1099849,1099863,1099864,1099922,1099999,1100000,1100001,1100132,1101822,1101841,1102346,1102486,1102517,1102715,1102797,1103269,1103445,1104319,1104485,1104494,1104495,1104683,1104897,1105271,1105292,1105322,1105392,1105396,1105524,1105536,1105769,1106016,1106105,1106185,1106229,1106271,1106275,1106276,1106278,1106281,1106283,1106369,1106509,1106511,1106594,1106697,1106929,1106934,1106995,1107060,1107078,1107319,1107320,1107689,1107735,1107966,963575,966170,966172,969470,969476,969477,970506
CVE References: CVE-2018-10876,CVE-2018-10877,CVE-2018-10878,CVE-2018-10879,CVE-2018-10880,CVE-2018-10881,CVE-2018-10882,CVE-2018-10883,CVE-2018-10902,CVE-2018-10938,CVE-2018-10940,CVE-2018-1128,CVE-2018-1129,CVE-2018-12896,CVE-2018-13093,CVE-2018-13094,CVE-2018-13095,CVE-2018-15572,CVE-2018-16658,CVE-2018-6554,CVE-2018-6555,CVE-2018-9363
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    kernel-docs-azure-4.4.155-4.16.1
SUSE Linux Enterprise Server 12-SP3 (src):    kernel-azure-4.4.155-4.16.1, kernel-source-azure-4.4.155-4.16.1, kernel-syms-azure-4.4.155-4.16.1
Comment 31 Swamp Workflow Management 2018-10-04 19:16:28 UTC
This is an autogenerated message for OBS integration:
This bug (1101822) was mentioned in
https://build.opensuse.org/request/show/640014 15.0 / kernel-source
Comment 32 Swamp Workflow Management 2018-10-08 13:24:16 UTC
openSUSE-SU-2018:3071-1: An update that solves 18 vulnerabilities and has 201 fixes is now available.

Category: security (important)
Bug References: 1012382,1031392,1043912,1044189,1046302,1046305,1046306,1046307,1046543,1050244,1051510,1054914,1055014,1055117,1055120,1058659,1060463,1061840,1064232,1065600,1065729,1068032,1069138,1071995,1077761,1077989,1078720,1080157,1082519,1082555,1083647,1083663,1084332,1085030,1085042,1085262,1086282,1086327,1089663,1090078,1090528,1092903,1093389,1094244,1095344,1096748,1097105,1097583,1097584,1097585,1097586,1097587,1097588,1098459,1098782,1098822,1099922,1099999,1100000,1100001,1100132,1101480,1101557,1101669,1101822,1102346,1102495,1102517,1102715,1102870,1102875,1102877,1102879,1102882,1102896,1103269,1103363,1103387,1103405,1103421,1103587,1103636,1103948,1103949,1103961,1104172,1104353,1104365,1104482,1104683,1104708,1104824,1104888,1104890,1104897,1105190,1105247,1105292,1105296,1105322,1105355,1105378,1105396,1105467,1105524,1105536,1105597,1105603,1105672,1105731,1105795,1105907,1106007,1106016,1106105,1106121,1106170,1106178,1106229,1106230,1106231,1106233,1106235,1106236,1106237,1106238,1106240,1106291,1106297,1106333,1106369,1106426,1106427,1106464,1106509,1106511,1106594,1106636,1106688,1106697,1106743,1106779,1106800,1106890,1106891,1106892,1106893,1106894,1106896,1106897,1106898,1106899,1106900,1106901,1106902,1106903,1106905,1106906,1106948,1106995,1107008,1107060,1107061,1107065,1107073,1107074,1107078,1107265,1107319,1107320,1107522,1107535,1107689,1107735,1107756,1107783,1107829,1107870,1107924,1107928,1107945,1107947,1107966,1108010,1108093,1108096,1108170,1108243,1108281,1108323,1108399,1108520,1108823,1108870,1109244,1109269,1109333,1109336,1109337,1109511,1109603,1109806,1109859,1109979,1109992,1110006,1110301,1110363,1110639,1110642,1110643,1110644,1110645,1110646,1110647,1110649,1110650,1110716,971975
CVE References: CVE-2018-10902,CVE-2018-10938,CVE-2018-10940,CVE-2018-1128,CVE-2018-1129,CVE-2018-12896,CVE-2018-13093,CVE-2018-13094,CVE-2018-13095,CVE-2018-14613,CVE-2018-14617,CVE-2018-14633,CVE-2018-15572,CVE-2018-16658,CVE-2018-17182,CVE-2018-6554,CVE-2018-6555,CVE-2018-9363
Sources used:
openSUSE Leap 15.0 (src):    kernel-debug-4.12.14-lp150.12.19.2, kernel-default-4.12.14-lp150.12.19.2, kernel-docs-4.12.14-lp150.12.19.3, kernel-kvmsmall-4.12.14-lp150.12.19.2, kernel-obs-build-4.12.14-lp150.12.19.2, kernel-obs-qa-4.12.14-lp150.12.19.2, kernel-source-4.12.14-lp150.12.19.1, kernel-syms-4.12.14-lp150.12.19.1, kernel-vanilla-4.12.14-lp150.12.19.2